### Method

# Gdk AppLaunchContextset_desktop

#### Declaration [src]

    void
    gdk_app_launch_context_set_desktop (
      GdkAppLaunchContext* context,
      int desktop
    )

#### Description [src]

Sets the workspace on which applications will be launched.

This only works when running under a window manager that supports multiple workspaces, as described in the Extended Window Manager Hints. Specifically this sets the `_NET_WM_DESKTOP` property described in that spec.

This only works when using the X11 backend.

When the workspace is not specified or `desktop` is set to -1, it is up to the window manager to pick one, typically it will be the current workspace.

#### Parameters

`desktop`

  Type: `int`

  The number of a workspace, or -1